/*
Log Test ISAPI Filter Handlers

Keisuke Oyama
dadosan@keicode.com
URL: http://keicode.com/
*/

#include <windows.h>
#include <httpfilt.h>
#include <strsafe.h>
#include "handlers.h"

DWORD OnLog(PHTTP_FILTER_CONTEXT pfc, PHTTP_FILTER_LOG pLog) {

	::OutputDebugStringA("===== OnLog =====\n");

	//
	// Print Original Target
	//
	
	::OutputDebugStringA( pLog->pszTarget );

	//
	// Replace Target Buffer
	//

	char* buf = (char*) pfc->AllocMem( 
		pfc, 
		LOGTARGET_MAXSIZE, 
		NULL);
	StringCbCopyA( buf, LOGTARGET_MAXSIZE, "xxxxx" );
	pLog->pszTarget = (CHAR*) buf;
	
	return SF_STATUS_REQ_NEXT_NOTIFICATION;
	
}

