/*
Log Test ISAPI Filter

Keisuke Oyama
dadosan@keicode.com
URL: http://keicode.com/
*/


#include <windows.h>
#include <httpfilt.h>
#include <stdio.h>

#include "handlers.h"


///////////////////////////////////////////////////////////////////////////////


BOOL WINAPI GetFilterVersion(
	PHTTP_FILTER_VERSION pVer ) {

	pVer->dwFilterVersion = HTTP_FILTER_REVISION;
	lstrcpy(pVer->lpszFilterDesc, "log filt");
	pVer->dwFlags = 
		SF_NOTIFY_ORDER_DEFAULT |
		SF_NOTIFY_LOG;

	return TRUE;
}


///////////////////////////////////////////////////////////////////////////////


DWORD WINAPI HttpFilterProc( 
	PHTTP_FILTER_CONTEXT pfc,
	DWORD dwNotificationType, 
	LPVOID pvNotification) {

	switch (dwNotificationType)
	{
	case SF_NOTIFY_LOG:
		return OnLog(pfc, (PHTTP_FILTER_LOG) pvNotification);
	}
	return SF_STATUS_REQ_NEXT_NOTIFICATION;
}


///////////////////////////////////////////////////////////////////////////////


BOOL WINAPI TerminateFilter( DWORD dwFlags) {
	return TRUE;
}

